package bz.bronze.pixels.game;

import bz.bronze.pixels.engine.AbstractGame;
import bz.bronze.pixels.engine.GameContainer;
import bz.bronze.pixels.engine.Renderer;
import bz.bronze.pixels.engine.gfx.Image;

public class GameManager extends AbstractGame {
    static GameContainer gc;

    private Image image;
    
    public GameManager() {
        image = new Image("/test.png");
    }

    @Override
    public void update(float dt) {
        
    }

    @Override
    public void render(Renderer r) {
        r.drawImage(image, gc.input.mouseX - image.getW() / 2, gc.input.mouseY - image.getH() / 2);
	}
    
    public static void main(String[] args) {
        gc = new GameContainer(new GameManager());
        gc.start();
    }
}